javax.faces.event

## Class ExceptionQueuedEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.SystemEvent
    - - javax.faces.event.ExceptionQueuedEvent

- All Implemented Interfaces:
    Serializable

      public class ExceptionQueuedEvent
      extends SystemEvent

  The system event facility will create an instance of this class whenever `Application.publishEvent(javax.faces.context.FacesContext, java.lang.Class<? extends javax.faces.event.SystemEvent>, java.lang.Object)` is called with `ExceptionQueuedEvent.class` as `systemEventClass` argument. In this case, an instance of `ExceptionQueuedEventContext` must be passed as the `source` argument. The specification for `publishEvent()`, requires the instantiation of the `systemEventClass` argument, passing the `source` argument to the constructor.

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionQueuedEvent(ExceptionQueuedEventContext eventContext)` Instantiate a new `ExceptionQueuedEvent` that indicates the argument `ExceptionQueuedEventContext` occurred.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionQueuedEventContext` | `getContext()` Return the `ExceptionQueuedEventContext` for this event instance.

    - ### Methods inherited from class javax.faces.event.SystemEvent

      `isAppropriateListener, processListener`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionQueuedEvent

          public ExceptionQueuedEvent(ExceptionQueuedEventContext eventContext)

      Instantiate a new `ExceptionQueuedEvent` that indicates the argument `ExceptionQueuedEventContext` occurred.

      Parameters:
        `eventContext` - the `ExceptionQueuedEventContext` that contextualizes this `ExceptionQueuedEvent`.
      Since:
        2.0

  - ### Method Detail

    - #### getContext

          public ExceptionQueuedEventContext getContext()

      Return the `ExceptionQueuedEventContext` for this event instance.

      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.